# MorphoBlueWithdrawCollateral

### Description

Withdraw a token to Morpho Blue market that is collateral

### Action ID

`0x053bcb63`

### SDK Action

```ts
const morphoBlueWithdrawCollateralAction = new dfs.actions.morpho-blue.MorphoBlueWithdrawCollateralAction(
    loanToken,
    collateralToken,
    oracle,
    irm,
    lltv,
    withdrawAmount,
    onBehalf,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param marketParams Market params of specified Morpho Blue market
    /// @param withdrawAmount The amount of assets to supply.
    /// @param onBehalf The address that owns the collateral position.
    /// @param to The address that will receive the collateral assets.
    struct Params {
        MarketParams marketParams;
        uint256 withdrawAmount;
        address onBehalf;
        address to;
    }
```

### Return Value

```solidity
return bytes32(amount);
```

### Events and Logs

```solidity
emit ActionEvent("MorphoBlueWithdrawCollateral", logData);
logger.logActionDirectEvent("MorphoBlueWithdrawCollateral", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/morphoblue/morphobluewithdrawcollateral.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
